This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 205630 - split off a mysql-libs rpms
split off a mysql-libs rpms
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-07 14:12 EDT by Christopher McCrory
Modified: 2013-07-02 23:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 14:33:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2006-09-07 14:12:25 EDT
Description of problem:
( enhancement )

packages that only need the mysql libraries pull in more than they need.  e.g.
to install php-mysql , you need mysql which needs ...


Version-Release number of selected component (if applicable):
mysql-5.0.22-2.1


How reproducible:
always

Steps to Reproduce:
1. yum install php-mysql
2.
3.
  
Actual results:
--> Running transaction check
--> Processing Dependency: perl(DBI) for package: mysql
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package perl-DBI.i386 0:1.51-1 set to be updated


Expected results:
depends on mysql-libs only

Additional info:
for "small installs" this will help a lot.

why install dependent perl / perl-DBI for a small php module.
Comment 1 Tom Lane 2007-03-12 14:33:25 EDT
Done in rawhide (mysql-5.0.37-1) ... too late for RHEL5, though it might appear
in some update.

Note You need to log in before you can comment on or make changes to this bug.